<div th:replace="data(defaultInput=~{::input})" th:fragment="input" xmlns:th="http://www.thymeleaf.org">
    <div class="row">
        <div th:class="${!#strings.isEmpty(data.width) ? null : 'col-md-4'}">
            <select xmlns:th="http://www.thymeleaf.org" class="form-control" th:name="${path.fullPath}" th:attr="data-parsley-required=${data.mandatory}? true"></select>
        </div>
    </div>
</div>